# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: 

IUSE=""

inherit eutils cvs

ECVS_SERVER="cvs.sourceforge.net:/cvsroot/aabrowse"
ECVS_MODULE="aabrowse"
ECVS_TOP_DIR="${DISTDIR}/${PN}"
S=${WORKDIR}/${ECVS_MODULE}

DESCRIPTION="Server Browser for Americas Army"
HOMEPAGE="http://sourceforge.net/projects/aabrowse/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

DEPEND="virtual/x11
   >=x11-libs/qt-3.0
   >=dev-libs/geoip-1.3.0"

src_compile() {
	export WANT_AUTOCONF=2.5

	local myconf

	myconf="--enable-geoip"
	

    echo $(pwd)
	make -f admin/Makefile.common cvs

	econf ${myconf} || die "configure failed"

	make || die "make failed"
}

src_install() {
	make DESTDIR=${D} install || die "make install failed"

	dodoc ChangeLog NEWS README TODO
}

